package sk.stuba.fiit.dp.xhudecm1.smsgatewayserverdbmapper;
// Generated Apr 28, 2017 12:20:54 PM by Hibernate Tools 4.3.1


import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.SEQUENCE;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.persistence.Version;

/**
 * UnhandledSmsReceived generated by hbm2java
 */
@Entity
@Table(name="unhandled_sms_received"
    ,schema="public"
)
public class UnhandledSmsReceived  implements java.io.Serializable {


     private Long id;
     private Date timestamp;
     private ClientSecureCommunicationData clientSecureCommunicationData;
     private GatewayModems gatewayModems;
     private String hexPayload;
     private String smscNumber;
     private String smscNumberType;
     private String smscNumberNumberingPlan;
     private Long smscNumberLength;
     private String senderNumber;
     private String senderNumberType;
     private String senderNumberNumberingPlan;
     private Long senderNumberLength;
     private String messageUuid;
     private String smsReceivedStatusType;

    public UnhandledSmsReceived() {
    }

    public UnhandledSmsReceived(ClientSecureCommunicationData clientSecureCommunicationData, GatewayModems gatewayModems, String hexPayload, String smscNumber, String smscNumberType, String smscNumberNumberingPlan, Long smscNumberLength, String senderNumber, String senderNumberType, String senderNumberNumberingPlan, Long senderNumberLength, String messageUuid, String smsReceivedStatusType) {
       this.clientSecureCommunicationData = clientSecureCommunicationData;
       this.gatewayModems = gatewayModems;
       this.hexPayload = hexPayload;
       this.smscNumber = smscNumber;
       this.smscNumberType = smscNumberType;
       this.smscNumberNumberingPlan = smscNumberNumberingPlan;
       this.smscNumberLength = smscNumberLength;
       this.senderNumber = senderNumber;
       this.senderNumberType = senderNumberType;
       this.senderNumberNumberingPlan = senderNumberNumberingPlan;
       this.senderNumberLength = senderNumberLength;
       this.messageUuid = messageUuid;
       this.smsReceivedStatusType = smsReceivedStatusType;
    }
   
     @SequenceGenerator(name="generator", sequenceName="unhandled_sms_received_id_seq")@Id @GeneratedValue(strategy=SEQUENCE, generator="generator")

    
    @Column(name="id", unique=true, nullable=false)
    public Long getId() {
        return this.id;
    }
    
    public void setId(Long id) {
        this.id = id;
    }

    @Version@Temporal(TemporalType.TIMESTAMP)
    @Column(name="timestamp", length=29)
    public Date getTimestamp() {
        return this.timestamp;
    }
    
    public void setTimestamp(Date timestamp) {
        this.timestamp = timestamp;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="client_id")
    public ClientSecureCommunicationData getClientSecureCommunicationData() {
        return this.clientSecureCommunicationData;
    }
    
    public void setClientSecureCommunicationData(ClientSecureCommunicationData clientSecureCommunicationData) {
        this.clientSecureCommunicationData = clientSecureCommunicationData;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="modem_id")
    public GatewayModems getGatewayModems() {
        return this.gatewayModems;
    }
    
    public void setGatewayModems(GatewayModems gatewayModems) {
        this.gatewayModems = gatewayModems;
    }

    
    @Column(name="hex_payload")
    public String getHexPayload() {
        return this.hexPayload;
    }
    
    public void setHexPayload(String hexPayload) {
        this.hexPayload = hexPayload;
    }

    
    @Column(name="smsc_number")
    public String getSmscNumber() {
        return this.smscNumber;
    }
    
    public void setSmscNumber(String smscNumber) {
        this.smscNumber = smscNumber;
    }

    
    @Column(name="smsc_number_type")
    public String getSmscNumberType() {
        return this.smscNumberType;
    }
    
    public void setSmscNumberType(String smscNumberType) {
        this.smscNumberType = smscNumberType;
    }

    
    @Column(name="smsc_number_numbering_plan")
    public String getSmscNumberNumberingPlan() {
        return this.smscNumberNumberingPlan;
    }
    
    public void setSmscNumberNumberingPlan(String smscNumberNumberingPlan) {
        this.smscNumberNumberingPlan = smscNumberNumberingPlan;
    }

    
    @Column(name="smsc_number_length")
    public Long getSmscNumberLength() {
        return this.smscNumberLength;
    }
    
    public void setSmscNumberLength(Long smscNumberLength) {
        this.smscNumberLength = smscNumberLength;
    }

    
    @Column(name="sender_number")
    public String getSenderNumber() {
        return this.senderNumber;
    }
    
    public void setSenderNumber(String senderNumber) {
        this.senderNumber = senderNumber;
    }

    
    @Column(name="sender_number_type")
    public String getSenderNumberType() {
        return this.senderNumberType;
    }
    
    public void setSenderNumberType(String senderNumberType) {
        this.senderNumberType = senderNumberType;
    }

    
    @Column(name="sender_number_numbering_plan")
    public String getSenderNumberNumberingPlan() {
        return this.senderNumberNumberingPlan;
    }
    
    public void setSenderNumberNumberingPlan(String senderNumberNumberingPlan) {
        this.senderNumberNumberingPlan = senderNumberNumberingPlan;
    }

    
    @Column(name="sender_number_length")
    public Long getSenderNumberLength() {
        return this.senderNumberLength;
    }
    
    public void setSenderNumberLength(Long senderNumberLength) {
        this.senderNumberLength = senderNumberLength;
    }

    
    @Column(name="message_uuid")
    public String getMessageUuid() {
        return this.messageUuid;
    }
    
    public void setMessageUuid(String messageUuid) {
        this.messageUuid = messageUuid;
    }

    
    @Column(name="sms_received_status_type")
    public String getSmsReceivedStatusType() {
        return this.smsReceivedStatusType;
    }
    
    public void setSmsReceivedStatusType(String smsReceivedStatusType) {
        this.smsReceivedStatusType = smsReceivedStatusType;
    }




}


